On this page
No Headings
Last updated: May 21, 2026
Important: PayPal Provisioning Platform is a limited-release solution available only to select partners at this time. For more information, reach out to your PayPal Account Manager.
When you want to start the user at your Partner website, you can choose different ways to complete the integration. You can either send two separate API calls to first onboard the account information then to add card data, or you can include the account information and card data in a single API call.
Both of these techniques require you to first onboard the user and link their data.
To integrate P3 from the partner site, create a consumer referral resource and send the user's card information.
Select one of these two ways to send card information, depending on whether you want customers to be able to start P3 from PayPal:
| Integration Technique | Advantage |
|---|---|
| Use two API calls | PayPal recommends this technique. The integration uses a call to the Consumer Referrals API to send user account data and uses a separate call to the Linked Instruments (Payment Network Transactions API) to send card data. This technique provides more flexibility when integrating the PayPal-initiated P3 flow. This technique can be used when the user originates from either the partner or PayPal site. |
| Use one API call | The integration sends a single call to the Consumer Referrals API to provide both user and card data. Choose this technique when the partner doesn't want customers to start P3 from PayPal. |
Both techniques share the same steps to onboard a user, redirect a user to PayPal, and redirect a user to the partner site. The following sections include flow diagrams and code samples for each integration approach.
This approach makes a call to the Consumer Referrals API and a separate call to the Linked Instruments (Payment Network Transactions API).
The following diagram illustrates the end-to-end partner-initiated flow using two API calls. The steps listed in the following sections refer to steps in the sequence diagram.
Follow these steps to integrate a partner-initiated flow using two separate API calls.
https://api-m.paypal.com/v1/customer/consumer-referralshttps://api-m.sandbox.paypal.com/v1/customer/consumer-referralsSteps 1-2a: Enable user to select a card to link and make a first-party oAuth v2 call to return the access token needed. In this step, QWF0bmFXZ3d5d0p0 ... TVERuYWEzTGx6dnJJR3d2Yi0= is the Base64-encoded client id:secret value.
POST /v1/oauth2/token HTTP/1.1
Host: api-m.sandbox.paypal.com
Accept: application/json
Content-Type: application/x-www-form-urlencoded
Authorization: Basic
QWF0bmFXZ3d5d0p0VkdManlQdU1yLUpiOUxvdWIxbUJEaV9nUDBSRlR5eUN2MFVva3dxZllYWmp5YjRrNUpZTDJxbVg2emYxRkxiUFZMYmU6RUtoUHI1YlozbnJJVU1sU2lFN1dteHV1am9FS1g4RlcyaHBJS3NJak1HSkhoM3YtcVZESXY2ay14ZzFLMmxTVERuYWEzTGx6dnJJR3d2Yi0=grant_type=client_credentials&response_type=tokenIn the response "A21AAHCQhC6ue2JTf6DN...wGVUTE8B8gx1lTpdwbKHJg"," is the access token.
{"scope":"https://uri.paypal.com/services/wallet/card-accounts/update https://uri.paypal.com/services/wallet/card-accounts/external-update https://uri.paypal.com/services/applications/webhooks openid https://uri.paypal.com/services/customer/consumer-referrals/create","nonce":"2017-03-29T01:56:06ZhE-XlvFxz5ns7ceDQrw9405NpDZB_bbinI26J65ItiA","access_token":"A21AAHCQhC6ue2JTf6DNPSEXbDfhTTblcjdFUn3oNfHkYfabdv7Tw8D5bbPANpEf5fUzd4xFFB_wGVUTE8B8gx1lTpdwbKHJg","token_type":"Bearer","app_id":"APP-80W284485P519543T","expires_in":32399}Steps 3-3a: Create a consumer referral resource for a customer with a credit card. This sample doesn't send card art or linked instruments. In this step, A21AAH...bKHJg is the access token from Step 2a response.
Note: PayPal only accepts five-digit zip codes. Nine-digit zip codes are interpreted as a new address.
curl -v -X POST https://api-m.sandbox.paypal.com/v1/customer/consumer-referrals \
-H "PayPal-Request-Id: 12345" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer
A21AAHCQhC6ue2JTf6DNPSEXbDfhTTblcjdFUn3oNfHkYfabdv7Tw8D5bbPANpEf5fUzd4xFFB_wGVUTE8B8gx1lTpdwbKHJg" \
-d '{
"person_details":{
"names":[
{
"given_name":"Mike",
"surname":"Sanders"
}
],
"phone_contacts":[
{
"phone":{
"country_code":"1",
"national_number":"4083131000"
},
"phone_type":"HOME"
}
],
"addresses":[
{
"address":{
"line1":"2141 N 1st Street",
"line2":"",
"city":"San Jose",
"state":"California",
"country_code":"US",
"postal_code":"95131"
},
"address_type":"HOME"
}
],
"email_addresses":[
{
"email_address":"[email protected]",
"primary":true,
"confirmed":true
}
],
"locale":"en_US"
},
"paypal_account_properties":{
"account_country_code":"US"
}
}In the response QUFHSlBO...qcmFYWQ is the referral_id and href is the PayPal login redirect URL with multiple query parameters.
{"referral_id":"QUFHSlBOcmZuLzE4OE10ZXI0alFDTFo1MVFzUGx6WUY3Mk9ZYTRudVJuZGxDTUhHZEMyUkNkaFg3UktqcmFYWQ","person_details":{"names":[{"given_name":"Super","surname":"Mario"}],"phone_contacts":[{"phone":{"country_code":"1","national_number":"4083131000"},"phone_type":"MOBILE"}],"addresses":[{"address":{"line1":"2141 N 1st Street","line2":"","city":"San Jose","state":"California","country_code":"US","postal_code":"95131"},"address_type":"HOME"}],"email_addresses":[{"email_address":"[email protected]","confirmed":false,"primary":true}],"identity_documents":[],"locale":"en_US"},"links":[{"rel":"action_url","href":"https://www.sandbox.paypal.com/consumeronboarding/entry?referralid=QUFHSlBOcmZuLzE4OE10ZXI0alFDTFo1MVFzUGx6WUY3Mk9ZYTRudVJuZGxDTUhHZEMyUkNkaFg3UktqcmFYWQ","method":"GET"}]}Steps 4-4b: Pass the referral_id from the Consumer Referral API request into the Linked Instruments (Payment Network Transactions API) method. In this step, 1234 is the unique id for idempotency.
POST /v1/payment-networks/linked-instruments HTTP/1.1
Host: api-m.sandbox.paypal.com
Content-Type: application/json
Authorization: Bearer A21AAEPYT7ek70fthWyH8rd6LAxcoIKuTlYiou_imD9inhkB6GAg7tcxXW5yeZTOHf2oAqSbZ43HouRHELrUzlRUROLOSKimA
PayPal-Request-Id: 12345
Accept: application/json
Accept-Language: en_US
Content-Type: application/x-www-form-urlencodedIn the request:
QUFHSlBOcmZuLz...FYWQ is the referral ID.GPPSTXo6oYXfH1OxQSTVKw is the JWE encrypted PAN number. See Encryption for more information.B2121XYZ is the partner-provided reference_financial_instrument_id to be echoed back in webhook payload.{
"partner_data":{
"consumer":{
"authentication_factors":{
"cvv":false,
"challenge_questions":true,
"logged_in":true,
"otp_methods":[
"SMS",
"EMAIL"
],
"biometric_methods":[
"FACE_RECOGNITION"
],
"trusted_device_factors":[
"TRUSTED_DEVICE_FINGERPRINT_MATCH"
]
}
}
},
"referral_id":" QUFHSlBOcmZuLzE4OE10ZXI0alFDTFo1MVFzUGx6WUY3Mk9ZYTRudVJuZGxDTUhHZEMyUkNkaFg3UktqcmFYWQ",
"card_accounts":[
{
"identifier":"eyJlbmMiOiJBMTI4Q0JDLUhTMjU2IiwiYWxnIjoiUlNBLU9BRVAifQ.FNGgAyitajvujmUMOnXQsSrsEv8jUaBTx3gmaCbspSxqKtiu_8NPLIRoEp3sUhM_SoYfmK4GP--iOST215W7XopN_awjnjDYGuMYd31lT1o02xg1wJjibdHtQpcW3RrBFoEyvmrfN44ZSaXhgkhwaZ1cGR_KgbdvtWm2xEaCV_W6HC78gs5A_4REftp40CT9hC-9lq1TQZh5pQxSRnmPihDfBbkXIm5Arciiyu5f7c6GP_TwRFJmA3gsBFVugUvonT_2QCLAgIASFsFUjvfuxGWgI03diGsKAWxvTniwAW05PnSG5ApK0mykuV50GyJBm9GIcWj1kgZuZcLO3FknWQ.maRfYRn9ObALsUzMLC2spQ.k0BiPAMLNwRIPYRsDnhs7ZBKYWDZghKrqPsD5Ukdefg.GPPSTXo6oYXfH1OxQSTVKw",
"reference_financial_instrument_id":"B2121XYZ",
"expiry_date":"2020-12",
"billing_address":{
"address_line_1":"2211 N 1st Street",
"admin_area_1":"CA",
"admin_area_2":"San Jose",
"country_code":"US",
"postal_code":"95035"
},
"account_holder_name":{
"given_name":"John",
"surname":"Smith"
}
}
]
}In the response 30ffdc0d4e3ce is used to log all debug IDs for PayPal support.
HTTP/1.1 202 Accepted
Date: Thu, 05 Mar 2020 21:01:41 GMT
Server: Apache
paypal-debug-id: 30ffdc0d4e3ce
PayPal-Request-Id: 12345
{"links":[{"href":"https://www.sandbox.paypal.com/myaccount/money/cards/pull/p3","rel":"redirect","method":"GET","encType":"application/json"}]}Steps 5-10: After you pass in the referral_id, if Step 4a response returns a 202 success, redirect the user to PayPal for login and consent. Otherwise see API Error codes for a list of the error codes that can be returned here. QUFHSlBOcm...scope_group_provisioning_platform shows how to construct redirect url with referral id, partner return url, state, and scope parameters.
https://www.sandbox.paypal.com/consumeronboarding/entry?referralid= QUFHSlBOcmZuLzE4OE10ZXI0alFDTFo1MVFzUGx6WUY3Mk9ZYTRudVJuZGxDTUhHZEMyUkNkaFg3UktqcmFYWQ &redirect_uri=https://partner-return-url &state=channel=Mobile&Linkid=test&scope=scope_group_provisioning_platformStep 11: User opts to Set Preferred Card on PayPal Wallet.
Step 12: PayPal stores User and Card in permanent storage.
Step 13: Receive webhook payload. In this step,:
B2121XYZ = Echo back the reference_financial_instrument_id sent by partner in Linked Instrument call. The partner_financial_instrument_id = reference_financial_instrument_id.CC-HFPEET8KTJF9L is the PayPal card identifier needed to make Lifecycle API calls."paypal_customer_id": "6PN79VDMX6566" is the PayPal encrypted account number needed for PayPal support.{
"id": "WH-9LG8099179700735B-801161897N370874M",
"event_version": "1.0",
"create_time": "2020-02-05T22:29:38.000Z",
"resource_type": "INSTRUMENT",
"event_type": "PAYMENT_NETWORKS.INSTRUMENT.LINKED-ACCOUNT-UPDATED",
"summary": "An instrument was successfully added.",
"resource": {
"partner_financial_instrument_id": "B2121XYZ",
"financial_instrument_id": "CC-HFPEET8KTJF9L",
"event": {
"event_type": "INSTRUMENT_ADDED",
"event_reason": "USER_INITIATED"
},
"customer": {
"paypal_customer_id": "6PN79VDMX6566"
}
},
"links": [
{
"href": "https:\/\/api-m.sandbox.paypal.com\/v1\/notifications\/webhooks-events\/WH-9LG8099179700735B-801161897N370874M",
"rel": "self",
"method": "GET"
},
{
"href": "https:\/\/api-m.sandbox.paypal.com\/v1\/notifications\/webhooks-events\/WH-9LG8099179700735B-801161897N370874M\/resend",
"rel": "resend",
"method": "POST"
]
}Step 14: Return to the partner using the return URL. In this step, QWF0bmFXZ3d5d0...JJR3d2Yi0= is the Base64-encoded client id : secret value.
https://partner-return-url?code=C21AAFQ_fyBghy0cey3BBFE-NOpIWd50WPrCwdpWBx3hIajwIED-fBwo0Sa1o696SySy5uE5sPlpDoEhK_tBCFsb_NJpWs2sA&state=channel=Mobile&Linkid=testStep 15: Exchange authorization code for a refresh token.
POST /v1/oauth2/token HTTP/1.1
Authorization: Basic QWF0bmFXZ3d5d0p0VkdManlQdU1yLUpiOUxvdWIxbUJEaV9nUDBSRlR5eUN2MFVva3dxZllYWmp5YjRrNUpZTDJxbVg2emYxRkxiUFZMYmU6RUtoUHI1YlozbnJJVU1sU2lFN1dteHV1am9FS1g4RlcyaHBJS3NJak1HSkhoM3YtcVZESXY2ay14ZzFLMmxTVERuYWEzTGx6dnJJR3d2Yi0=
Host: api-m.sandbox.paypal.com
Accept: application/json
Accept-Language: en_US
Content-Type: application/x-www-form-urlencodedIn the request C21AAFQ_fy...NJpWs2sA is the authorization code from Step 13.
grant_type=authorization_code&code=C21AAFQ_fyBghy0cey3BBFE-NOpIWd50WPrCwdpWBx3hIajwIED-fBwo0Sa1o696SySy5uE5sPlpDoEhK_tBCFsb_NJpWs2sAIn the response:
R23AAG...0NqLNyg is the refresh token to be stored for future lifecycle calls to obtain access token.A23AAH0nv7...7BNsg is the first-time access token. This token expires in 8 hours. It can be ignored if it is not initially needed.{"token_type":"Bearer","expires_in":"28799","refresh_token":"R23AAGPIvifgk-ZFFDfuv10JwJwVcQ3mab2NefbOPawZ2rfguplZw3FS9qpTUWmJe88Ty5DuO7zDUIdgpvBAO91VzWF-u9wez1P3TlbrE-5ddd71NXKwaqMgE3CGTN8CrllwcVAEwB7pXu0NqLNyg", "access_token":"A23AAH0nv75jRyVVGz8B3kVRI59GGnANLgeMnwDJB6qap8LOPkBfe_KpIqxMQPgCH_pryUTv33KhmwdmT4A3votjFOP07BNsg"}This approach sends the user and card data in a single call to the Consumer Referrals API call. This method can be used when the P3 flow initiates from the partner site only.
The following diagram shows the flow in which the Consumer Referrals API combines both the user and card data into a single API call.
Steps 1-2a: Select card to link and obtain first-party authorization. In this step, QWF0bmFXZ3d5d0p0 ... TVERuYWEzTGx6dnJJR3d2Yi0= is the Base64-encoded client id:secret value.
POST /v1/oauth2/token HTTP/1.1
Host: api-m.sandbox.paypal.com
Accept: application/json
Content-Type: application/x-www-form-urlencoded
Authorization: Basic
QWF0bmFXZ3d5d0p0VkdManlQdU1yLUpiOUxvdWIxbUJEaV9nUDBSRlR5eUN2MFVva3dxZllYWmp5YjRrNUpZTDJxbVg2emYxRkxiUFZMYmU6RUtoUHI1YlozbnJJVU1sU2lFN1dteHV1am9FS1g4RlcyaHBJS3NJak1HSkhoM3YtcVZESXY2ay14ZzFLMmxTVERuYWEzTGx6dnJJR3d2Yi0=grant_type=client_credentials&response_type=tokenIn the response A21AAHCQhC6ue2JTf6DN...wGVUTE8B8gx1lTpdwbKHJg"," is the access token.
{"scope":"https://uri.paypal.com/services/wallet/card-accounts/update https://uri.paypal.com/services/wallet/card-accounts/external-update https://uri.paypal.com/services/applications/webhooks openid https://uri.paypal.com/services/customer/consumer-referrals/create","nonce":"2017-03-29T01:56:06ZhE-XlvFxz5ns7ceDQrw9405NpDZB_bbinI26J65ItiA","access_token":"A21AAHCQhC6ue2JTf6DNPSEXbDfhTTblcjdFUn3oNfHkYfabdv7Tw8D5bbPANpEf5fUzd4xFFB_wGVUTE8B8gx1lTpdwbKHJg","token_type":"Bearer","app_id":"APP-80W284485P519543T","expires_in":32399}Steps 3-4: Note that when you use two api calls, the Consumer Referral API call in Step 3 includes just the user payload. When you combine the APIs into a single call, the Consumer Referral API call in Step 3 includes card payload as well as user payload. In this step, A21AAHCQhC6ue2JTf6... TE8B8gx1lTpdwbKHJg is the access token from the Step 2a response.
Note: PayPal only accepts five-digit zip codes. Nine-digit zip codes are interpreted as a new address.
POST /v1/customer/consumer-referrals HTTP/1.1
Host: api-m.sandbox.paypal.com
Content-Type: application/json
Authorization: Bearer A21AAHCQhC6ue2JTf6DNPSEXbDfhTTblcjdFUn3oNfHkYfabdv7Tw8D5bbPANpEf5fUzd4xFFB_wGVUTE8B8gx1lTpdwbKHJg
Accept: application/json
Accept-Language: en_US
Content-Length: 1311{
"person_details": {
"names": [
{
"given_name": "Mike",
"surname": "Sanders"
}
],
"phone_contacts": [
{
"phone": {
"country_code": "1",
"national_number": "4083131000"
},
"phone_type": "HOME"
}
],
"addresses": [
{
"address": {
"line1": "2141 N 1st Street",
"line2": "",
"city": "San Jose",
"state": "California",
"country_code": "US",
"postal_code": "95131"
},
"address_type": "HOME"
}
],
"email_addresses": [
{
"email_address": " [email protected]",
"primary": true,
"confirmed": true
}
],
"locale": "en_US"
},
"paypal_account_properties": {
"account_country_code": "US"
},
"linked_instruments": {
"card_accounts": [
{
"identifier": "6011493404351851",
"reference_financial_instrument_id": "ref1234",
"expiry_date": "2020-12",
"billing_address": {
"address_line_1": "2211 N 1st Street",
"admin_area_1": "CA",
"admin_area_2": "San Jose",
"country_code": "US",
"postal_code": "95035"
},
"account_holder_name": {
"given_name": "Mike",
"surname": "Sanders"
}
}
]
}
}In the response QUFHSlBO...qcmFYWQ is the referral_id and href is the PayPal login redirect URL with multiple query parameters.
{"referral_id":"QUFIOUhDaVl0SlNMVkRleTFBdS9XaERibG5WWHhid2hpVHg1RS8zOUE3Nld5d0EwUi93aldFVXZhUHJXaGNpSA","person_details":{"names":[{"given_name":"Mike","surname":"Sanders"}],"phone_contacts":[{"phone":{"country_code":"1","national_number":"4083131000"},"phone_type":"HOME"}],"addresses":[{"address":{"line1":"2141 N 1st Street","line2":"","city":"San Jose","state":"California","country_code":"US","postal_code":"95131"},"address_type":"HOME"}],"email_addresses":[{"email_address":"[email protected]","confirmed":true,"primary":true}],"identity_documents":[],"locale":"en_US"},"links":[{"rel":"action_url","href":"https://www.sandbox.paypal.com/consumeronboarding/entry?referralid=QUFIOUhDaVl0SlNMVkRleTFBdS9XaERibG5WWHhid2hpVHg1RS8zOUE3Nld5d0EwUi93aldFVXZhUHJXaGNpSA","method":"GET"}]Steps 5-9: Construct redirect url with referral ID, partner return url, state, and scope parameters and confirm. In this step, QUFHSI...FYWQ shows how to construct the redirect URL with referral_id, partner return URL, state, and scope parameters.
https://www.sandbox.paypal.com/consumeronboarding/entry?referralid= QUFHSlBOcmZuLzE4OE10ZXI0alFDTFo1MVFzUGx6WUY3Mk9ZYTRudVJuZGxDTUhHZEMyUkNkaFg3UktqcmFYWQ &redirect_uri=https://partner-return-url &state=channel=Mobile&Linkid=test&scope=scope_group_provisioning_platformStep 10: In this step,:
"partner_financial_instrument_id": "B2121XYZ" echoes back reference_financial_instrument_id sent by partner in the Linked Instrument call. In this property partner_financial_instrument_id = reference_financial_instrument_id."financial_instrument_id": "CC-HFPEET8KTJF9L" is the PayPal card identifier needed to make lifecycle calls.paypal_customer_id": "6PN79VDMX6566" is the PayPal-encrypted account number needed for PayPal support.{
"id": "WH-9LG8099179700735B-801161897N370874M",
"event_version": "1.0",
"create_time": "2020-02-05T22:29:38.000Z",
"resource_type": "INSTRUMENT",
"event_type": "PAYMENT_NETWORKS.INSTRUMENT.LINKED-ACCOUNT-UPDATED",
"summary": "An instrument was successfully added.",
"resource": {
"partner_financial_instrument_id": "B2121XYZ",
"financial_instrument_id": "CC-HFPEET8KTJF9L",
"event": {
"event_type": "INSTRUMENT_ADDED",
"event_reason": "USER_INITIATED"
},
"customer": {
"paypal_customer_id": "6PN79VDMX6566"
}
},
"links": [
{
"href": "https:\/\/api-m.sandbox.paypal.com\/v1\/notifications\/webhooks-events\/WH-9LG8099179700735B-801161897N370874M",
"rel": "self",
"method": "GET"
},
{
"href": "https:\/\/api-m.sandbox.paypal.com\/v1\/notifications\/webhooks-events\/WH-9LG8099179700735B-801161897N370874M\/resend",
"rel": "resend",
"method": "POST"
]
}Step 13: Use authorization code to return to the partner return URL. In this step, partner-return-url is the redirect url.
https://partner-return-url?code=C21AAFQ_fyBghy0cey3BBFE-NOpIWd50WPrCwdpWBx3hIajwIED-fBwo0Sa1o696SySy5uE5sPlpDoEhK_tBCFsb_NJpWs2sA&state=channel=Mobile&Linkid=testSteps 15: Exchange refresh token. In this step, QWF0bmFXZ3d5d0p0VkdManl ... TGx6dnJJR3d2Yi0= is the Base64-encoded client id:secret value.
POST /v1/oauth2/token HTTP/1.1
Authorization: Basic QWF0bmFXZ3d5d0p0VkdManlQdU1yLUpiOUxvdWIxbUJEaV9nUDBSRlR5eUN2MFVva3dxZllYWmp5YjRrNUpZTDJxbVg2emYxRkxiUFZMYmU6RUtoUHI1YlozbnJJVU1sU2lFN1dteHV1am9FS1g4RlcyaHBJS3NJak1HSkhoM3YtcVZESXY2ay14ZzFLMmxTVERuYWEzTGx6dnJJR3d2Yi0=
Host: api-m.sandbox.paypal.com
Accept: application/json
Accept-Language: en_US
Content-Type: application/x-www-form-urlencodedIn this request C21AAFQ_fyBghy0cey3BBFE ... tBCFsb_NJpWs2sA is the authorization code from Step 13.
grant_type=authorization_code&code=C21AAFQ_fyBghy0cey3BBFE-NOpIWd50WPrCwdpWBx3hIajwIED-fBwo0Sa1o696SySy5uE5sPlpDoEhK_tBCFsb_NJpWs2sAIn this response:
R23AAGPIvifgk- ... VAEwB7pXu0NqLNyg is the refresh token to be stored for future lifecycle calls to get access token.A23AAH0nv75jRyVVGz8B3 ... A3votjFOP07BNsg is the first-time access token. It expires in 8 hours. It can be ignored if not needed initially.{"token_type":"Bearer","expires_in":"28799","refresh_token":"R23AAGPIvifgk-ZFFDfuv10JwJwVcQ3mab2NefbOPawZ2rfguplZw3FS9qpTUWmJe88Ty5DuO7zDUIdgpvBAO91VzWF-u9wez1P3TlbrE-5ddd71NXKwaqMgE3CGTN8CrllwcVAEwB7pXu0NqLNyg", "access_token":"A23AAH0nv75jRyVVGz8B3kVRI59GGnANLgeMnwDJB6qap8LOPkBfe_KpIqxMQPgCH_pryUTv33KhmwdmT4A3votjFOP07BNsg"}Step 15a: Response
{{"token_type":"Bearer","expires_in":"28799","refresh_token":"R23AAGPIvifgk-ZFFDfuv10JwJwVcQ3mab2NefbOPawZ2rfguplZw3FS9qpTUWmJe88Ty5DuO7zDUIdgpvBAO91VzWF-u9wez1P3TlbrE-5ddd71NXKwaqMgE3CGTN8CrllwcVAEwB7pXu0NqLNyg", "access_token":"A23AAH0nv75jRyVVGz8B3kVRI59GGnANLgeMnwDJB6qap8LOPkBfe_KpIqxMQPgCH_pryUTv33KhmwdmT4A3votjFOP07BNsg"}See User starts from PayPal if the partner wants users to be able to also start P3 from PayPal in addition to starting from the partner site. It's easier to make this addition if you have already implemented the integrate using two APIs approach.